summaryrefslogtreecommitdiffstats
path: root/development/oniguruma
diff options
context:
space:
mode:
author Eugene Wissner <belka@caraus.de>2015-10-31 08:28:02 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-10-31 08:28:26 +0700
commite18fdcd05073352ebe8d1e0f811a5d9e7bda5393 (patch)
treefd908a37c55091db224294a9a0365cc67102c20b /development/oniguruma
parent483eb1346bdb176ba9d6c3b3fea1954b6555af8a (diff)
downloadslackbuilds-e18fdcd05073352ebe8d1e0f811a5d9e7bda5393.tar.gz
slackbuilds-e18fdcd05073352ebe8d1e0f811a5d9e7bda5393.tar.xz
development/oniguruma: Added (Regular expressions library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/oniguruma')
-rw-r--r--development/oniguruma/README3
-rw-r--r--development/oniguruma/oniguruma.SlackBuild103
-rw-r--r--development/oniguruma/oniguruma.info10
-rw-r--r--development/oniguruma/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/development/oniguruma/README b/development/oniguruma/README
new file mode 100644
index 0000000000..8eb7bf9091
--- /dev/null
+++ b/development/oniguruma/README
@@ -0,0 +1,3 @@
+Oniguruma is a regular expressions library. The characteristics of
+this library is that different character encoding for every regular
+expression object can be specified.
diff --git a/development/oniguruma/oniguruma.SlackBuild b/development/oniguruma/oniguruma.SlackBuild
new file mode 100644
index 0000000000..fedd78646e
--- /dev/null
+++ b/development/oniguruma/oniguruma.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for oniguruma
+
+# Copyright 2015 Eugene Wissner, Dachau, Germany
+# Copyright 2008, 2009, 2010, 2011 Phantom X, Goiania, Brazil.
+# Copyright 2006 Martijn Dekker, Groningen, Netherlands.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR `AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=oniguruma
+VERSION=${VERSION:-5.9.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/libonig_$VERSION.orig.tar.gz
+cd onig-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --with-rubydir=/usr/bin \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=${PKG}
+
+find ${PKG} \( -name '*.la' -o -name '*.a' \) -exec rm -f {} ';'
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING HISTORY README* index*.html doc/{API,FAQ,RE}* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/oniguruma/oniguruma.info b/development/oniguruma/oniguruma.info
new file mode 100644
index 0000000000..c251a069be
--- /dev/null
+++ b/development/oniguruma/oniguruma.info
@@ -0,0 +1,10 @@
+PRGNAM="oniguruma"
+VERSION="5.9.5"
+HOMEPAGE="http://www.geocities.jp/kosako3/oniguruma/"
+DOWNLOAD="http://http.debian.net/debian/pool/main/libo/libonig/libonig_5.9.5.orig.tar.gz"
+MD5SUM="970f98a4cd10021b545d84e34c34aae4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Eugene Wissner"
+EMAIL="belka@caraus.de"
diff --git a/development/oniguruma/slack-desc b/development/oniguruma/slack-desc
new file mode 100644
index 0000000000..6016842233
--- /dev/null
+++ b/development/oniguruma/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+oniguruma: oniguruma (Regular expressions library)
+oniguruma:
+oniguruma: Oniguruma is a regular expressions library. The characteristics of
+oniguruma: this library is that different character encoding for every regular
+oniguruma: expression object can be specified.
+oniguruma:
+oniguruma: http://www.geocities.jp/kosako3/oniguruma/
+oniguruma:
+oniguruma:
+oniguruma:
+oniguruma: